View Issue Details

IDProjectCategoryView StatusLast Update
0001491Ham Radio DeluxeBugpublic2017-08-05 18:58
ReporterSupport 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformIntel(R) Core(TM) i7 CPU 860@2.8OSWindows 7 ProOS Version
Product Version 
Target VersionFixed in Version6.4.0.659 
Summary0001491: Lat/lon field sorting as string, not number
DescriptionIn logbook window, entries sorted on lat or lon field are sorted as though lat
or lon are text fields. They are not sorted in numeric order.
Steps To ReproduceDisplay lat & lon columns in logbook window.
Sort on either lat or lon field.
Entries are sorted as though lat/lon field is a string, not numeric
Additional InformationReported by vk3ohm
TagsNo tags attached.
ModuleLogbook
Sub-ModuleData
Testing Beta Successful

Relationships

child of 0001561 closedK7ZCZ Turn some alpha fields into numeric 

Activities

K7ZCZ

2017-06-04 14:44

viewer   ~0003194

I have a fix coded.

WA9PIE

2017-06-21 20:59

administrator   ~0003244

Status changed to enable update to "Fixed in Version"

WA9PIE

2017-06-21 22:24

administrator   ~0003256

We'll need to leave issues "Assigned" until verified... then change to "Resolved"

I'll document this in process.

g3ucq

2017-06-24 04:37

viewer   ~0003286

Sorts from + to - or - to +. Fixed

WA9PIE

2017-06-25 21:50

administrator   ~0003308

I have no idea why someone would want to do this :) But it's fixed.

WA9PIE

2017-06-25 21:51

administrator   ~0003309

Tested with steps... good.

w4elp

2017-06-26 06:09

viewer   ~0003327

v653: Tested. NOT fixed. Both Lon and Lat sort negative values first, then blank entries, then positive values. Blanks should be either first or last in sort.

K7ZCZ

2017-06-27 10:37

viewer   ~0003339

I've fixed empty lat/long values to sort so that an empty value is greater than any other. Thus, the order is (-30, 0, +30, NULL), for example.

This should show up in build 655.

WA9PIE

2017-06-27 15:48

administrator   ~0003341

Yeah, I noticed the gap in the middle too... but felt that it WAS... properly sorted. I'm fine with putting the NULL items at the end.

WA9PIE

2017-07-04 23:30

administrator   ~0003484

Published in the 658 release.

WA9PIE

2017-07-05 00:00

administrator   ~0003519

Waiting to close them until a final item is tested.

WA9PIE

2017-07-05 19:39

administrator   ~0003556

These were all part of the 659 release.

Issue History

Date Modified Username Field Change
2013-12-23 21:44 WA9PIE New Issue
2013-12-23 21:44 WA9PIE Status new => assigned
2013-12-23 21:44 WA9PIE Assigned To => Support
2013-12-24 09:30 WA9PIE Project 2 - Next Dev List (Holding Area) => @5@
2013-12-24 22:13 WA9PIE Status assigned => new
2014-01-31 15:37 WA9PIE Release => 6.1
2014-01-31 15:37 WA9PIE Module => Logbook
2014-01-31 15:37 WA9PIE Sub-Module => Data
2014-01-31 15:37 WA9PIE Report Build => 6.1.4.189
2014-01-31 15:37 WA9PIE Assigned To Support =>
2014-01-31 15:37 WA9PIE Status new => confirmed
2014-01-31 15:37 WA9PIE Relationship added child of 0001561
2014-02-02 10:46 WA9PIE Summary Lat/lon field sorting as string, not number => Bug: Lat/lon field sorting as string, not number
2014-02-02 10:46 WA9PIE Description Updated View Revisions
2014-02-02 10:46 WA9PIE Steps to Reproduce Updated View Revisions
2014-02-02 16:40 WA9PIE View Status private => public
2015-09-17 13:17 WA9PIE Category Logbook => Bug
2015-09-17 13:19 WA9PIE Project @5@ => 1 - Backlog
2015-09-25 18:12 WA9PIE Fix Build => (select)
2015-09-25 18:12 WA9PIE Summary Bug: Lat/lon field sorting as string, not number => Lat/lon field sorting as string, not number
2017-06-02 23:11 K7ZCZ Assigned To => K7ZCZ
2017-06-02 23:11 K7ZCZ Status confirmed => assigned
2017-06-04 14:43 K7ZCZ Project 1 - Backlog => 3 - Current Dev List
2017-06-04 14:44 K7ZCZ Note Added: 0003194
2017-06-04 14:44 K7ZCZ Status assigned => resolved
2017-06-04 14:44 K7ZCZ Resolution open => fixed
2017-06-05 12:37 WA9PIE Target Version => 6.4.0.649
2017-06-21 20:59 WA9PIE Status resolved => assigned
2017-06-21 20:59 WA9PIE Note Added: 0003244
2017-06-21 21:11 K7ZCZ Fixed in Version => 6.4.0.652
2017-06-21 21:50 K7ZCZ Status assigned => resolved
2017-06-21 21:50 K7ZCZ Fixed in Version 6.4.0.652 =>
2017-06-21 22:01 K7ZCZ Fixed in Version => 6.4.0.652
2017-06-21 22:24 WA9PIE Status resolved => assigned
2017-06-21 22:24 WA9PIE Note Added: 0003256
2017-06-24 04:37 g3ucq Note Added: 0003286
2017-06-25 21:50 WA9PIE Note Added: 0003308
2017-06-25 21:51 WA9PIE Status assigned => resolved
2017-06-25 21:51 WA9PIE Note Added: 0003309
2017-06-25 22:46 WA9PIE Testing => Beta Passed
2017-06-26 06:09 w4elp Note Added: 0003327
2017-06-27 10:37 K7ZCZ Note Added: 0003339
2017-06-27 15:48 WA9PIE Note Added: 0003341
2017-07-01 08:23 WA9PIE Target Version 6.4.0.649 => 6.4.0.652
2017-07-01 08:23 WA9PIE Fixed in Version 6.4.0.652 => 6.4.0.657
2017-07-04 23:17 WA9PIE Fixed in Version 6.4.0.657 => 6.4.0.658
2017-07-04 23:30 WA9PIE Note Added: 0003484
2017-07-04 23:30 WA9PIE Status resolved => closed
2017-07-04 23:30 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-07-04 23:58 WA9PIE Project Ham Radio Deluxe => 3 - Current Dev List
2017-07-05 00:00 WA9PIE Status closed => resolved
2017-07-05 00:00 WA9PIE Note Added: 0003519
2017-07-05 19:37 WA9PIE Fixed in Version 6.4.0.658 => 6.4.0.659
2017-07-05 19:39 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-07-05 19:39 WA9PIE Note Added: 0003556
2017-07-05 19:39 WA9PIE Status resolved => closed
2017-07-09 18:59 WA9PIE Testing => Beta Successful
2017-08-05 18:58 WA9PIE Target Version 6.4.0.652 =>